implementing pyshark

Michael S. michael at linuxsystems.rocks
Mon Apr 6 14:45:03 CEST 2015


I am using kali-linux(debian based). i have installed all from 
repository. i haven't tried yet to use the source but i don't think it 
was compiled incorrectly. Kali's developers are quite precise in terms 
of OS development.

On 04/06/2015 03:05 PM, Steven D'Aprano wrote:
> On Mon, 6 Apr 2015 06:40 pm, Michael S. wrote:
>
>> Hi everyone. while trying to implement pyshark, i am getting this error:
> [...]
>
>> ImportError: No module named _threading
>
> Well that's awesome. I don't think I've seen that in Python 2.7 before.
> Apparently, you are using a version of Python compiled without support for
> threading. I didn't think that was still possible.
>
> How did you install Python? Did you build it from source?
>
> My guess is that you did build from source, but you were missing some
> packages needed for threading support so the Python interpreter was built
> without threading. That means you'll have to re-install to fix this
> problem.
>
> But first you'll need to install the necessary dependencies. What operating
> system and/or distro are you using? It looks like Linux or Unix, or maybe
> Mac OS X.
>
>




More information about the Python-list mailing list